#pragma once
#include "ThreadJob.h"
#include "define.h"				// パケット作成のため

class CMySyncObject;			// CMySyncObjectを使うため
class CSendRecvThread;			// CSendRecvThreadを使うため


class CSendFileThread :
	public CThreadJob
{
public:
	CSendFileThread(CSendRecvThread *pCSendRecvThread, LPSTR pszFileName);
	~CSendFileThread();

	UINT DoWork() override;
	BOOL IsZombie();						// このスレッドはゾンビ状態か

private:
	LPSTR			m_pszFileName;			// 送信ファイル名
	CSendRecvThread	*m_pCSendRecvThread;	// 送受信スレッド(親スレッド)
	CMySyncObject	*m_pCMySyncObject;
	BOOL			m_fIamZombie;			// ゾンビ状態か(送信終了)

	BOOL SendSendFileStartPacket(LPSTR pszFileName, int iFileLength);	// ①ファイル送信開始要求送信
	BOOL SendSendFilePacket(int fd, int iFileLength);					// ③④ファイル途中、ファイル送信完了要求送信
};

